
-- @AutoRun
-- drop table tl_company;



CREATE TABLE tl_company (
    object_id numeric(12) NOT NULL ,
    object_last_updated_date timestamp DEFAULT NOW() NOT NULL ,
    object_created_date timestamp DEFAULT NOW() NOT NULL
    ,
    company_name varchar(100) NOT NULL,
    company_logo bytea NULL,
    hiring_team_type varchar(200) NULL,
    industry varchar(200) NULL,
    time_zone varchar(200) NULL,
    is_verified char(1) NULL,
    state varchar(200) NULL,
    country varchar(200) NULL,
    post_code varchar(10) NULL,
    city varchar(100) NULL,
    has_client_support char(1) NULL,
    stripe_reference varchar(100) NULL,
    stripe_subscription varchar(100) NULL,
    name_on_card varchar(100) NULL,
    card_post_code varchar(10) NULL,
    card_id varchar(100) NULL,
    plan_renewed_on timestamp NULL,
    used_credits numeric(12) NULL,
    added_by_user_id numeric(12)  NOT NULL,
    payment_plan_id numeric(12)  NULL
    );



ALTER TABLE tl_company ADD    
    CONSTRAINT pk_tl_company PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    